Bug 17249 - Драйвер кард-ридера memstick не работает
: Драйвер кард-ридера memstick не работает
Status: CLOSED FIXED
: Branch 5.0
(All bugs in Branch 5.0/kernel-image-std-def)
: unspecified
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-09-21 17:32 by
Modified: 2009-03-09 11:15 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-09-21 17:32:51
ACER Aspire One 110
kernel-image-std-def-2.6.25-alt8.M41.1
Драйвер memstick не рабочий. Хуже того, если вставить карту (MMC, SD) он грузит
систему на 100%.
Насколько видел он не работает вплоть к 2.6.27

Если сначала вставить Memory Stick Duo, а потом MMC, SD то может и корректно
заработать и смонтировать. Хотя и с Memory Stick Duo не всё хорошо. Тут не
работает hal. При попытке открыть в всплывающем диалоге сообщается:
org.freedesktop.hal.storage.mount-fixed auth_admin_keep_always <-- (action,
result)
А в логе:
memstick0: switching to 4-bit parallel mode
memstick0: could not switch to 8-bit mode, error -62
mspblk0: p1

При этом руками карта потом нормально монтируется и работает.
------- Comment #1 From 2008-10-25 00:21:59 -------
Попробовал на 2.6.27.
memstick уже не виснит, но вот один из кардридеров (мультиформатный), без карты
при старте, не инициируется. Про эту ошибку на LKML здесь:
http://lkml.org/lkml/2008/10/14/330

У меня получается такое. Без флешки при загрузке:
jmb38x_ms 0000:04:00.3: PCI INT A -> GSI 19 (level, low) -> IRQ 19
jmb38x_ms 0000:04:00.3: setting latency timer to 64
sdhci-pci 0000:04:00.0: SDHCI controller found [197b:2382] (rev 0)
sdhci-pci 0000:04:00.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
sdhci-pci 0000:04:00.0: setting latency timer to 64
mmc0: SDHCI controller on PCI [0000:04:00.0] using ADMA
sdhci-pci 0000:04:00.2: SDHCI controller found [197b:2381] (rev 0)
sdhci-pci 0000:04:00.2: PCI INT A -> GSI 19 (level, low) -> IRQ 19
sdhci-pci 0000:04:00.2: Refusing to bind to secondary interface.
sdhci-pci 0000:04:00.2: PCI INT A disabled

С флешкой при загрузке:
sdhci: Secure Digital Host Controller Interface driver
sdhci: Copyright(c) Pierre Ossman
sdhci-pci 0000:01:00.0: SDHCI controller found [197b:2382] (rev 0)
sdhci-pci 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
sdhci-pci 0000:01:00.0: setting latency timer to 64
mmc0: SDHCI controller on PCI [0000:01:00.0] using ADMA
sdhci-pci 0000:01:00.2: SDHCI controller found [197b:2381] (rev 0)
sdhci-pci 0000:01:00.2: PCI INT A -> GSI 16 (level, low) -> IRQ 16
sdhci-pci 0000:01:00.2: Refusing to bind to secondary interface.
sdhci-pci 0000:01:00.2: PCI INT A disabled
sdhci-pci 0000:04:00.0: SDHCI controller found [197b:2382] (rev 0)
sdhci-pci 0000:04:00.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
sdhci-pci 0000:04:00.0: setting latency timer to 64
mmc1: SDHCI controller on PCI [0000:04:00.0] using ADMA
sdhci-pci 0000:04:00.2: SDHCI controller found [197b:2381] (rev 0)
sdhci-pci 0000:04:00.2: PCI INT A -> GSI 19 (level, low) -> IRQ 19
sdhci-pci 0000:04:00.2: Refusing to bind to secondary interface.
sdhci-pci 0000:04:00.2: PCI INT A disabled

Проблема с Memory Stick Duo осталась.
------- Comment #2 From 2009-02-25 11:58:34 -------
Уже и с Memory Stick Duo нормально работает на Branch 5.0.
Закрываем.